Subject: Re: [PATCH 7/7] Turn `git serve` into a test helper

From: Josh Steadmon <[email-masked]>
Date: Wed, 17 Apr 2019 11:22:00 -0700

On 2019.04.17 14:40, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> >> I do not personally think, as the design of v2 stands, a standalone
> >> "serve" server that "can serve anything as long as it goes over
> >> protocol v2" makes much sense, but perhaps those who have been doing
> >> the v2 work may have different ideas, in which case let's hear what
> >> their plans are.
> >
> > I too would like to hear more definite comments from people who think
> > git-serve is worth keeping. In the meantime, there's some discussion
> > from this thread in December:
> > ...
> >   https://public-inbox.org/git/[email-masked]/
> >
> > (In case you do not feel like reading the whole thing, my opinion there
> > is that git-serve is probably not the right direction, and we would do
> > well to demote it as Dscho's patch does).
> 
> I guess we are more or less on the same page, then.  I'll let others
> chime in by waiting for a bit more but I won't wait forever ;-).
> 
> Thanks.

FWIW I used git-serve a fair amount while working on V2 support for
archiving, and everything I did with it would have been just as easy
with a test helper as with a builtin. So I have no objections to this
change.